Skip to content

接入管理 ​

第三方应用接入设置

GET 接入应用列表 ​

GET /admin/client/page

请求参数 ​

名称位置类型必选说明
currentquerystring否none
sizequerystring否none
descsquerystring否none
ascsquerystring否none
typequerystring否类型 字符串
namequerystring否应用名称
Authorizationheaderstring是none

返回示例

json
{
  "code": 0,
  "msg": null,
  "data": {
    "records": [
      {
        "id": "1782234381679693825",
        "clientId": "tuxinshuo",
        "clientSecret": "tuxinshuo",
        "resourceIds": null,
        "scope": "server",
        "authorizedGrantTypes": [
          "password"
        ],
        "webServerRedirectUri": null,
        "authorities": null,
        "accessTokenValidity": 43200,
        "refreshTokenValidity": 2592001,
        "additionalInformation": "{\"captcha_flag\":\"0\",\"enc_flag\":\"1\",\"online_quantity\":\"1\"}",
        "autoapprove": "true",
        "delFlag": "0",
        "createBy": "admin",
        "updateBy": "admin",
        "createTime": "2024-04-22 10:26:03",
        "updateTime": "2024-05-07 15:47:02",
        "describe": "这是描述",
        "name": "图新说",
        "type": "C端"
      }
    ],
    "total": 1,
    "size": 10,
    "current": 1,
    "pages": 1
  },
  "ok": true
}

返回结果 ​

状态码状态码含义说明数据模型
200OKnoneInline

返回数据结构 ​

状态码 200

名称类型必选约束中文名说明
» codeintegertruenonenone
» msgnulltruenonenone
» dataobjecttruenonenone
»» records[object]truenonenone
»»» idstringfalsenonenone
»»» clientIdstringfalsenonenone
»»» clientSecretstringfalsenonenone
»»» resourceIdsnullfalsenonenone
»»» scopestringfalsenonenone
»»» authorizedGrantTypes[string]falsenonenone
»»» webServerRedirectUrinullfalsenonenone
»»» authoritiesnullfalsenonenone
»»» accessTokenValidityintegerfalsenonenone
»»» refreshTokenValidityintegerfalsenonenone
»»» additionalInformationstringfalsenonenone
»»» autoapprovestringfalsenonenone
»»» delFlagstringfalsenonenone
»»» createBystringfalsenonenone
»»» updateBystringfalsenonenone
»»» createTimestringfalsenonenone
»»» updateTimestringfalsenonenone
»»» describestringfalsenonenone
»»» namestringfalsenonenone
»»» typestringfalsenonenone
»» totalintegertruenonenone
»» sizeintegertruenonenone
»» currentintegertruenonenone
»» pagesintegertruenonenone
» okbooleantruenonenone

POST 保存接入应用 ​

POST /admin/client

Body 请求参数

json
{
  "id": "",
  "clientId": "aaa",
  "clientSecret": "aaa",
  "scope": "server",
  "authorizedGrantTypes": [
    "password"
  ],
  "webServerRedirectUri": "",
  "authorities": "",
  "accessTokenValidity": 43200,
  "refreshTokenValidity": 2592001,
  "autoapprove": "true",
  "delFlag": "",
  "createBy": "",
  "updateBy": "",
  "createTime": "",
  "updateTime": "",
  "tenantId": "",
  "onlineQuantity": "0",
  "captchaFlag": "0",
  "encFlag": "1",
  "type": "C端",
  "name": "C端平台",
  "describe": "描述描述"
}

请求参数 ​

名称位置类型必选说明
Authorizationheaderstring是none
bodybodyobject否none
» idbodystring是none
» clientIdbodystring是none
» clientSecretbodystring是none
» scopebodystring是none
» authorizedGrantTypesbody[string]是none
» webServerRedirectUribodystring是none
» authoritiesbodystring是none
» accessTokenValiditybodyinteger是none
» refreshTokenValiditybodyinteger是none
» autoapprovebodystring是none
» delFlagbodystring是none
» createBybodystring是none
» updateBybodystring是none
» createTimebodystring是none
» updateTimebodystring是none
» tenantIdbodystring是none
» onlineQuantitybodystring是none
» captchaFlagbodystring是none
» encFlagbodystring是none
» typebodystring是类型
» namebodystring是应用名称
» describebodystring是描述

返回示例

json
{
  "code": 0,
  "msg": null,
  "data": true,
  "ok": true
}

返回结果 ​

状态码状态码含义说明数据模型
200OKnoneInline

返回数据结构 ​

状态码 200

名称类型必选约束中文名说明
» codeintegertruenonenone
» msgnulltruenonenone
» databooleantruenonenone
» okbooleantruenonenone

Released under the MIT License.